#include <iostream>
#include <vector>
using namespace std;

int main()
{
	int N, L, b;

	cin >> N >> L;
	vector<int> a;
	for (int i = 0; i < N; i++)
	{
		cin >> b;
		a.push_back(b);
	}
	int c = 0;
	for (int i = 0; i < N; i++)
	{
		if (a[i] <= L)
		{
			cout << i+1;
			break;
		}
		c = i;
		
	}
	if (c == N-1)
	{
		cout << -1;
	}
	
}